#!/bin/bash
#
# Copyright (c) 2017      IBM Corporation.  All rights reserved.
#
#-------------------------------------------------------------------
#
#IMPORTANT NOTE : GNU PLOT must be installed to visualize the data
#using graph (.svg)
#
#-------------------------------------------------------------------

# ------------------------------------------------------------------
#  All the data about the cluster being tested goes in this file
#  and in "hosts".
#
#  This file and the "run.*" scripts that use it are optional.
#  If you set up this file, and your cluster is a "normal" configuration
#  where MPI can simply "ssh" to the listed hosts to launch a job, then
#  you can use our convenience scripts to run all the tests for you.
#
#  But all the tests can be run by hand instead if you want.
#
#  If you do use this config file and the convenience scripts, the
#  sequence to follow is:
#    - edit the settings below, and the "hosts" file
#    - cd into each test directory of interest:
#
#         flooding_test  
#         network_stress_test 
#         pingpong_allpairs_test  
#         pingpong_host_ring_test
#
#    - ./clean.pl
#    - ./compile.sh
#    - ./run.sh
#    - ./mkreport.pl

# ------------------------------------------------------------------
#  n_per_host (slots to be allocated for each node)
#
#  Number of ranks to run per host.  Probably set this to the
#  number of cores.

n_per_host=8

# ------------------------------------------------------------------
#  MPI_ROOT
#
#  Probably  /opt/ibm/spectrum_mpi  but set to wherever you have
#  Platform-MPI installed.

export MPI_ROOT="/opt/ibm/spectrum_mpi"

# ------------------------------------------------------------------
#  hosts
#
#  This is a separate file, but is listed here just as a reminder
#  to edit that file.  The "hosts" should list all the machines
#  in the cluster, one per line.  Eg
#      c656f6n03
#      c656f6n04
#      c656f6n05
#      c656f6n06
#      ...
